%global modulename unique-filename

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-unique-filename
Version:        1.1.1
Release:        1%{?dist}
Summary:        Generate a unique filename for use in temporary directories or caches.

License:        ISC
URL:            https://github.com/iarna/unique-filename
Source0:        https://registry.npmjs.org/unique-filename/-/unique-filename-1.1.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(unique-slug) >= 2.0.0 with npmlib(unique-slug) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Generate a unique filename for use in temporary directories or caches.

%package 1.1.1
Summary:        Generate a unique filename for use in temporary directories or caches.


%description 1.1.1
Generate a unique filename for use in temporary directories or caches.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .nyc_output %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr coverage %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.1.1
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.1.1-1
- Package automatically generated by npm2srpm
